(let*
  (
    (font (get-font "-b&h-lucidatypewriter-bold-r-normal-*-*-120-*-*-m-*-iso8859-1"))
    (font-colors (list "#1e3d5a" "white"))
    
	(title-width
	   (lambda (w)
	      (let
		 ((w-width (car (window-dimensions w))))
		 (max 0 (+ 20 (min (- w-width 74)
                 (text-width (window-name w))))))))
	
	(half-title-width
	     (lambda (w)
	         (/ (title-width w) 2)))
			
	(title-position
	     (lambda (w)
		 (- (/ (car (window-dimensions w)) 2) 
		 (half-title-width w)) ))                 
 
        (update-title-width
	      (lambda (w)
	         (if (eq (window-get w 'current-frame-style) 'whistler-II_My_Final_Cut)
		     (rebuild-frame w))))	
	
	(title-images (set-image-border (make-image "title-bar.png") 10 10 0 0))

     	(iconify-images (list (make-image "iconify-inactive.png")
                               (make-image "iconify-normal.png")))

     	(maximize-images (list (make-image "maximize-inactive.png")
                                          (make-image "maximize-normal.png")))

     	(close-images (list (make-image "close-inactive.png")
                                   (make-image "close-normal.png")))

        (menu-images (list (make-image "menu-inactive.png")
                                    (make-image "menu-normal.png")))

     	(border-top (make-image "border_top.png"))
     	(border-bottom (make-image "border_bottom.png"))
     	(border-right (make-image "border_right.png"))
     	(border-left (make-image "border_left.png"))

	(corner-bl-1 (make-image "corner_bottom_left_2.png"))
	(corner-br-1 (make-image "corner_bottom_right_2.png"))
	(corner-tr-1 (make-image "corner_top_right_2.png"))
	(corner-tl-1 (make-image "corner_top_left_2.png"))

        (bottomright-shaped-images (make-image "br-shaped.png"))
        (bottomleft-shaped-images (make-image "bl-shaped.png"))

     	(frame `(

		((background . ,title-images)
		 (top-edge . -22)
		 (left-edge . 18)
		 (right-edge . 51)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . center)
		 (class . title))

		((background . ,iconify-images)
      		 (top-edge . -22)
		 (right-edge . 35) 
		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . -22)
		 (left-edge . -5)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . -22)
      		 (right-edge . 18)
      		 (class . maximize-button))

    		((background . ,close-images)
      		 (top-edge . -22)
      		 (right-edge . -5)
      		 (class . close-button))

     		((background . ,border-left)
      		 (top-edge . -1)
      		 (bottom-edge . 0)
      		 (left-edge . -5) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . -1)
      		 (bottom-edge . 0)
      		 (right-edge . -5)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -5)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-bl-1)
      		 (bottom-edge . -5)
      		 (left-edge . -5)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br-1)
      		 (bottom-edge . -5)
      		 (right-edge . -5) 
      		 (class . bottom-right-corner))
	))

	(shaped-frame `(
      
     		((background . ,title-images)
      		 (top-edge . -22)
      		 (left-edge . 18)
      		 (right-edge . 51)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . center)
      		 (class . title))

     		((background . ,iconify-images)
      		 (top-edge . -22)
      		 (right-edge . 35) 
      		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . -22)
		 (left-edge . -5)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . -22)
      		 (right-edge . 18)
      		 (class . maximize-button))

     		((background . ,close-images)
      		 (top-edge . -22)
      		 (right-edge . -5)
      		 (class . close-button))

		((background . ,bottomright-shaped-images)
	         (top-edge . -1)
 	         (right-edge . -5)
  	         (class . title))

		((background . ,bottomleft-shaped-images)
	         (top-edge . -1)
 	         (right-edge . -5)
  	         (class . title))

	))

	(transient-frame `(

		((background . ,border-top)
		 (top-edge . -5)
		 (left-edge . 0)
		 (right-edge . 0)
                 (class . title))

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -5) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -5)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -5)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-bl-1)
      		 (bottom-edge . -5)
      		 (left-edge . -5)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br-1)
      		 (bottom-edge . -5)
      		 (right-edge . -5) 
      		 (class . bottom-right-corner))

     		((background . ,corner-tr-1)
      		 (top-edge . -5)
      		 (right-edge . -5) 
      		 (class . top-right-corner))

     		((background . ,corner-tl-1)
      		 (top-edge . -5)
      		 (left-edge . -5) 
      		 (class . top-left-corner))
	))
	
	(shaped-transient-frame `(
      
     		((background . ,title-images)
      		 (top-edge . -22)
      		 (left-edge . 18)
      		 (right-edge . 34)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . center)
      		 (class . title))

     		((background . ,iconify-images)
      		 (top-edge . -22)
      		 (right-edge . 18) 
      		 (class . iconify-button))
		 
		((background . ,menu-images)
		 (top-edge . -22)
		 (left-edge . -5)
		 (class . menu-button))

     		((background . ,close-images)
      		 (top-edge . -22)
      		 (right-edge . -5)
      		 (class . close-button))

		((background . ,bottomright-shaped-images)
	         (top-edge . -1)
 	         (right-edge . -5)
  	         (class . title))

		((background . ,bottomleft-shaped-images)
	         (top-edge . -1)
 	         (right-edge . -5)
  	         (class . title))

	))
	
  )
  (add-frame-style 'whistler-II_My_Final_Cut
    	(lambda (w type)
	  (case type
	    ((default) frame)
	    ((transient) transient-frame)
	    ((shaped) shaped-frame)
	    ((shaped-transient) shaped-transient-frame))))
   
   
   (call-after-property-changed
     'WM_NAME (lambda ()
                (rebuild-frames-with-style 'whistler-II_My_Final_Cut))))